/*-- -------------------------- -->
<---            Hero            -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #hero-1946 {
    padding: var(--sectionPadding);
    /* 160px - 200px */
    padding-top: clamp(10rem, 20vw, 12.5rem);
    overflow: hidden;
    position: relative;
    z-index: 1;
  }
  #hero-1946 .cs-container {
    width: 100%;
    max-width: 80rem;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    z-index: 1;
  }
  #hero-1946 .cs-content {
    /* set text align to left if content needs to be left aligned */
    text-align: center;
    width: 100%;
    /* 40px - 52px */
    margin-bottom: clamp(2.5rem, 5vw, 3.25rem);
    display: flex;
    flex-direction: column;
    /* centers content horizontally, set to flex-start to left align */
    align-items: center;
    position: relative;
    z-index: 1;
  }
  #hero-1946 .cs-flex {
    /* prevents flexbox from squishing it */
    flex: none;
  }
  #hero-1946 .cs-title {
    /* 39px - 61px */
    font-size: clamp(2.438rem, 5vw, 3.813rem);
  }
  #hero-1946 .cs-text {
    margin-bottom: 1.25rem;
  }
  #hero-1946 .cs-button-solid {
    font-size: 1rem;
    font-weight: 700;
    /* 46px - 56px */
    line-height: clamp(2.875rem, 5.5vw, 3.5rem);
    text-align: center;
    text-decoration: none;
    min-width: 9.375rem;
    margin: 0;
    /* prevents padding from adding to the width */
    box-sizing: border-box;
    /* 32px - 48px */
    padding: 0 clamp(2rem, 4vw, 3rem);
    background-color: var(--primary);
    color: var(--bodyTextColorWhite);
    display: inline-block;
    position: relative;
    z-index: 1;
    transition: color 0.3s;
    transition: background-color 0.3s;
  }
  #hero-1946 .cs-button-solid:hover {
    background-color: #000;
    color: #fff;
  }
  #hero-1946 .cs-picture {
    width: 100%;
    /* 280px - 510px */
    height: clamp(17.5rem, 58.6vw, 31.875rem);
    /* 16px - 20px */
    margin-bottom: clamp(1rem, 2vw, 1.25rem);
    display: block;
    position: relative;
  }
  #hero-1946 .cs-picture img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 2.5rem;
    position: absolute;
  }
  #hero-1946 .cs-card-group {
    width: 100%;
    margin: 0;
    padding: 0;
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(12, 1fr);
    /* 16px - 20px */
    gap: clamp(1rem, 2vw, 1.25rem);
  }
  #hero-1946 .cs-item {
    text-align: center;
    list-style: none;
    width: 100%;
    margin: 0;
    box-sizing: border-box;
    /* 24px - 32px */
    padding: clamp(1.5rem, 3vw, 2rem);
    background-color: #F7F7F7;
    border-radius: 1.25rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    grid-column: span 12;
    position: relative;
    z-index: 1;
    transition: border-color 0.3s;
  }
  #hero-1946 .cs-item:hover {
    border-color: var(--primary);
  }
  #hero-1946 .cs-item:hover .cs-h3 {
    color: var(--primary);
  }
  #hero-1946 .cs-item:hover .cs-icon {
    transform: rotateY(360deg);
  }
  #hero-1946 .cs-icon-picture {
    margin-bottom: 1.25rem;
    perspective: 700px;
    transform-style: preserve-3d;
  }
  #hero-1946 .cs-icon {
    width: 2.5rem;
    height: auto;
    display: block;
    transition: transform 0.5s;
  }
  #hero-1946 .cs-h3 {
    font-size: 1.25rem;
    line-height: 1.5em;
    text-align: inherit;
    margin: 0;
    margin-bottom: 0.75rem;
    color: var(--headerColor);
    transition: color 0.3s;
  }
  #hero-1946 .cs-item-text {
    /* 14px - 16px */
    font-size: clamp(0.875rem, 1.5vw, 1rem);
    line-height: 1.5em;
    text-align: inherit;
    margin: 0;
    color: var(--bodyTextColor);
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #hero-1946 .cs-text {
    font-size: 1.25rem;
  }
  #hero-1946 .cs-item {
    text-align: left;
    margin: 0;
    align-items: flex-start;
    grid-column: span 6;
  }
}
/* Small Desktop - 1024px */
@media only screen and (min-width: 64rem) {
  #hero-1946 .cs-content {
    display: flex;
    flex-direction: column;
  }
  #hero-1946 .cs-title {
    max-width: 46.875rem;
  }
  #hero-1946 .cs-item {
    grid-column: span 3;
  }
}
/* Large Desktop 1300px */
@media only screen and (min-width: 81.25rem) {
  #hero-1946 .cs-title {
    margin: 0;
  }
  #hero-1946 .cs-container {
    flex-direction: column;
  }
  #hero-1946 .cs-content {
    text-align: left;
    max-width: 80rem;
    gap: 1.25rem;
    flex-direction: row;
    align-items: flex-start;
  }
  #hero-1946 .cs-flex {
    width: 50%;
    max-width: 39.375rem;
  }
}
/* Dark Mode */
@media only screen and (min-width: 0rem) {
  body.dark-mode #hero-1946 {
    background-color: rgba(0, 0, 0, 0.2);
  }
  body.dark-mode #hero-1946 .cs-title,
  body.dark-mode #hero-1946 .cs-text,
  body.dark-mode #hero-1946 .cs-h3,
  body.dark-mode #hero-1946 .cs-item-text {
    color: var(--bodyTextColorWhite);
  }
  body.dark-mode #hero-1946 .cs-text,
  body.dark-mode #hero-1946 .cs-item-text {
    opacity: 0.8;
  }
  body.dark-mode #hero-1946 .cs-item {
    background-color: var(--medium);
  }
  body.dark-mode #hero-1946 .cs-icon {
    filter: invert(1) brightness(1000%);
  }
}
                

/*-- -------------------------- -->
<---       Content Group        -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
  #cs-content-1792 {
    width: 100%;
    max-width: 80rem;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    /* 48px - 64px */
    gap: clamp(3rem, 6.5vw, 4rem);
  }
  #cs-content-1792 .cs-content {
    /* set text align to center if content needs to be center aligned */
    text-align: left;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }
  #cs-content-1792 .cs-flex-wrapper {
    max-width: 37.5rem;
    /* lets the div's contents act as though it doesn't exist and can be children of the next surrounding parent div, in this case the cs-content. That way we can place the button under the cs-wrapper on mobile, but bring it back under the header on tablet */
    display: contents;
  }
  #cs-content-1792 .cs-title {
    margin: 0;
    /* 16px - 32px */
    margin-bottom: clamp(1rem, 3vw, 2rem);
  }
  #cs-content-1792 .cs-wrapper {
    max-width: 39.5rem;
  }
  #cs-content-1792 .cs-text {
    margin: 0 0 2rem 0;
  }
  #cs-content-1792 .cs-button-solid {
    font-size: 1rem;
    font-weight: 700;
    /* 46px - 56px */
    line-height: clamp(2.875rem, 5.5vw, 3.5rem);
    text-align: center;
    text-decoration: none;
    min-width: 9.375rem;
    margin: 0;
    margin-top: 2rem;
    /* prevents padding from adding to the width */
    box-sizing: border-box;
    padding: 0 1.5rem;
    color: #fff;
    background-color: var(--primary);
    display: inline-block;
    position: relative;
    z-index: 1;
  }
  #cs-content-1792 .cs-button-solid:before {
    content: "";
    width: 0%;
    height: 100%;
    background: #000;
    opacity: 1;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: width 0.3s;
  }
  #cs-content-1792 .cs-button-solid:hover:before {
    width: 100%;
  }
  #cs-content-1792 .cs-button-solid {
    margin: 0;
    display: inline-block;
    order: 2;
  }
  #cs-content-1792 .cs-text {
    max-width: 40rem;
    margin-bottom: 1.5rem;
    position: relative;
    z-index: 1;
  }
  #cs-content-1792 .cs-ul {
    max-width: 39.375rem;
    margin: 0 0 2rem 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
  }
  #cs-content-1792 .cs-li {
    font-size: var(--bodyFontSize);
    list-style: none;
    line-height: 1.5em;
    width: 100%;
    color: var(--bodyTextColor);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 0.5rem;
  }
  #cs-content-1792 .cs-check-icon {
    width: 1.5rem;
    height: auto;
    /* adds extra space between the icon and top of parent so it's more centered */
    margin-top: 1px;
    display: block;
  }
}
/* Tablet - 768px */
@media only screen and (min-width: 48rem) {
  #cs-content-1792 .cs-content {
    text-align: left;
    max-width: 80rem;
    height: auto;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    gap: 3rem;
    columns: 2;
  }
  #cs-content-1792 .cs-flex-wrapper {
    width: 40vw;
    display: block;
    /* prevents flexbox from squishing it */
    flex: none;
  }
  #cs-content-1792 .cs-ul {
    margin: 0;
  }
}
/* Large Desktop - 1300px */
@media only screen and (min-width: 81.25rem) {
  #cs-content-1792 .cs-ul {
    flex-direction: row;
    flex-wrap: wrap;
  }
  #cs-content-1792 .cs-li {
    width: 48%;
  }
}
/* Dark Mode */
@media only screen and (min-width: 0rem) {
  body.dark-mode #cs-content-1792 .cs-title,
  body.dark-mode #cs-content-1792 .cs-text,
  body.dark-mode #cs-content-1792 .cs-li {
    color: var(--bodyTextColorWhite);
  }
  body.dark-mode #cs-content-1792 .cs-text,
  body.dark-mode #cs-content-1792 .cs-li {
    opacity: 0.8;
  }
}

/*-- -------------------------- -->
<---            FAQ             -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
    #faq-993 {
        padding: var(--sectionPadding);
        position: relative;
    }
    #faq-993 .cs-container {
        width: 100%;
        max-width: 66.5rem;
        margin: auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        /* 48px - 64px */
        gap: clamp(3rem, 6vw, 4rem);
    }
    #faq-993 .cs-content {
        /* set text align to left if content needs to be left aligned */
        text-align: center;
        width: 100%;
        display: flex;
        flex-direction: column;
        /* centers content horizontally, set to flex-start to left align */
        align-items: center;
    }

    #faq-993 .cs-faq-group {
        padding: 0;
        margin: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 0.75rem;
    }
    #faq-993 .cs-faq-item {
        list-style: none;
        width: 100%;
        background-color: #f7f7f7;
        /* clips all corners of the button that overlap the rounded border */
        overflow: hidden;
        transition: border-bottom 0.3s;
    }
    #faq-993 .cs-faq-item.active {
        background-color: var(--headerColor);
    }
    #faq-993 .cs-faq-item.active .cs-button {
        background-color: #1a1a1a;
        color: var(--primary);
        border-bottom: 1px solid #484848;
    }
    #faq-993 .cs-faq-item.active .cs-button:before {
        background-color: var(--primary);
        transform: rotate(315deg);
    }
    #faq-993 .cs-faq-item.active .cs-button:after {
        background-color: var(--primary);
        transform: rotate(-315deg);
    }
    #faq-993 .cs-faq-item.active .cs-item-p {
        height: auto;
        /* 20px - 24px top & bottom */
        /* 16px - 24px left & right */
        padding: clamp(1.25rem, 1.3vw, 1.5rem) clamp(1rem, 2vw, 1.5rem);
        opacity: 1;
        color: var(--bodyTextColorWhite);
    }
    #faq-993 .cs-button {
        /* 16px - 20px */
        font-size: clamp(1rem, 2vw, 1.25rem);
        line-height: 1.2em;
        text-align: left;
        font-weight: bold;
        /* 20px - 24px */
        padding: clamp(1.25rem, 2vw, 1.5rem);
        background-color: #f7f7f7;
        border: none;
        color: var(--headerColor);
        display: block;
        width: 100%;
        position: relative;
        transition:
            background-color 0.3s,
            color 0.3s;
    }
    #faq-993 .cs-button:hover {
        cursor: pointer;
    }
    #faq-993 .cs-button:before {
        /* left line */
        content: "";
        width: 0.5rem;
        height: 0.125rem;
        background-color: var(--headerColor);
        opacity: 1;
        border-radius: 50%;
        position: absolute;
        display: block;
        top: 50%;
        right: 1.5rem;
        transform: rotate(45deg);
        /* animate the transform from the left side of the x axis, and the center of the y */
        transform-origin: left center;
        transition: transform 0.5s;
    }
    #faq-993 .cs-button:after {
        /* right line */
        content: "";
        width: 0.5rem;
        height: 0.125rem;
        background-color: var(--headerColor);
        opacity: 1;
        border-radius: 50%;
        position: absolute;
        display: block;
        top: 50%;
        right: 1.3125rem;
        transform: rotate(-45deg);
        /* animate the transform from the right side of the x axis, and the center of the y */
        transform-origin: right center;
        transition: transform 0.5s;
    }
    #faq-993 .cs-button-text {
        width: 80%;
        display: block;
    }
    #faq-993 .cs-item-p {
        /* 14px - 16px */
        font-size: clamp(0.875rem, 1.5vw, 1rem);
        line-height: 1.5em;
        width: 90%;
        height: 0;
        margin: 0;
        /* 16px - 24px */
        padding: 0 clamp(1rem, 2vw, 1.5rem);
        opacity: 0;
        color: var(--bodyTextColor);
        /* clips the text so it doesn't show up */
        overflow: hidden;
        transition:
            opacity 0.3s,
            padding-bottom 0.3s;
    }
    #faq-993 .cs-floater1,
    #faq-993 .cs-floater2 {
        display: none;
    }
}
/* Large Desktop - 1800px */
@media only screen and (min-width: 112.5rem) {
    #faq-993 .cs-floater1 {
        width: 24.8125rem;
        height: auto;
        display: block;
        position: absolute;
        top: 0;
        left: 0;
    }
    #faq-993 .cs-floater2 {
        width: 20.125rem;
        height: auto;
        display: block;
        position: absolute;
        bottom: 0;
        right: 0;
    }
}
/* Dark Mode */
@media only screen and (min-width: 0rem) {
    body.dark-mode #faq-993 .cs-title,
    body.dark-mode #faq-993 .cs-text,
    body.dark-mode #faq-993 .cs-item-p {
        color: var(--bodyTextColorWhite);
    }
    body.dark-mode #faq-993 .cs-text {
        opacity: 0.8;
    }
    body.dark-mode #faq-993 .cs-faq-item {
        background-color: var(--accent);
    }
    body.dark-mode #faq-993 .cs-faq-item.active .cs-button {
        background-color: var(--primary);
        color: var(--bodyTextColorWhite);
    }
    body.dark-mode #faq-993 .cs-faq-item.active .cs-button:before,
    body.dark-mode #faq-993 .cs-faq-item.active .cs-button:after {
        background-color: var(--bodyTextColorWhite);
    }
    body.dark-mode #faq-993 .cs-button {
        background-color: var(--accent);
        color: var(--bodyTextColorWhite);
    }
    body.dark-mode #faq-993 .cs-button:before,
    body.dark-mode #faq-993 .cs-button:after {
        background-color: var(--bodyTextColorWhite);
    }
}

                                